// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

export const defaultStyles = {
}

const Button = ({ className, theme, children, ...props }: {
  className?: string,
  children?: any,
  theme: { [key: string]: string },
}) => (
  <a data-component="Button" className={cn('db pointer', theme.root, className)} {...props}>
    {children}
  </a>
)

Button.defaultProps = {
  className: null,
  children: null,
}

export default themr('Button', {}, { composeTheme: 'softly' })(Button)
