// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import Hero from 'components/Hero'

export const defaultStyles = {
  root: 'vh-100 h-auto-ns aspect-ratio--4x3-m aspect-ratio--16x9-l',
  container: 'ph3 ph4-ns bg-black-40 flex items-center',
  wrapper: 'white-80 pa3 tc',
  title: 'f3 f2-ns fw6 mb3 ttu',
  subtitle: 'f4 f3-m f2-l center mb4 ph3',
}

const HeroWithAction = ({
  title,
  subtitle,
  action,
  theme,
  ...props
}: {
  title: string,
  subtitle: string,
  image?: string,
  video?: string,
  action: any,
  theme: { [key: string]: string},
}) => (
  <Hero
    {...props}
    data-component="HeroWithAction"
    theme={theme}
  >
    <div className={theme.wrapper}>
      <h1 className={theme.title}>{title}</h1>
      <div className={theme.subtitle}>{subtitle}</div>
      {action}
    </div>
  </Hero>
)

HeroWithAction.defaultProps = {
  children: null,
  className: null,
  image: null,
  video: null,
  action: null,
}

export default themr('HeroWithAction', {}, { composeTheme: 'softly' })(HeroWithAction)
