// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Link from 'components/Link'
import HeroWithAction, { defaultStyles } from './'

const props = {
  title: 'Collect all of your customer data and send it anywhere.',
  subtitle: 'Stream data to every marketing integration your team needs.',
  backgroundImage: '//res.cloudinary.com/connected/image/upload/w_960/v1495695823/hero-bg_apd51x.jpg',
  videos: [
    'https://connected.com.vn/dd1c6332a2f4fc69779b57f13e806fa5.mp4',
  ],
}

const Action = () => (
  <Link className="bg-yellow black-60 hover-black-80 pointer dib grow pa3 br3 f4">Click here...</Link>
)

storiesOf('Hero With Action', module)
  .addWithInfo(
    'default',
    `
      Hero with title, subtitle & call to action
    `,
    () => (
      <HeroWithAction
        theme={defaultStyles}
        {...props}
        action={<Action />}
      />
    ),
  )
