// @flow

import React from 'react'
import cn from 'classnames'
import Carousel from 'components/Carousel'

const ImageCarousel = ({
  theme,
  items,
  renderItem,
  imageField = 'image',
  ...props
}: {
  theme: { [key: string]: string },
  imageField?: string,
  renderItem: Function,
  items: Array<any>,
}) => (
  <Carousel
    theme={theme}
    items={items}
    {...props}
    renderItem={item => (
      <div
        className={cn('relative cover', theme.slideWrapper)}
        style={{
          backgroundImage: `url(${item[imageField]})`,
        }}
      >
        <div
          key={item[imageField]}
          className={cn('absolute absolute--fill', theme.slideContent)}
        >
          {renderItem(item)}
        </div>
      </div>
    )}
  />
)

ImageCarousel.defaultProps = {
  imageField: 'image',
}

export default ImageCarousel
