// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import { ThemeProvider } from 'react-css-themr'
import Navigation from './'

const items = [
  {
    to: '/about/',
    label: 'About',
  },
  {
    to: '/services/',
    label: 'Services',
  },
  {
    to: '/blog/',
    label: 'Blog',
  },
  {
    to: '/career/',
    label: 'Career',
  },
  {
    to: '/contact/',
    label: 'Contact',
  },
]

const theme = {
  Logo: {
    root: 'ttu fw6',
  },
  Navigation: {
    root: 'roboto-condensed pv3',
    item: 'pl3 gray -hover-aqua',
  },
}

storiesOf('Navigation', module)
  .add('default', () => (
    <ThemeProvider theme={theme}>
      <div className="bb b--light-gray">
        <Navigation
          className="mw7 center"
          items={items}
          logo="Connected"
        />
      </div>
    </ThemeProvider>
  ))
