// @flow

import React from 'react'
import {
  Marker,
} from 'react-google-maps'
import AsyncMap from 'components/AsyncMap'

const SimpleMap = ({ center, markers, defaultZoom }: {
  center: TPosition,
  markers: Array<TMarker>,
  defaultZoom?: number,
}) => (
  <AsyncMap
    googleMapURL="https://maps.googleapis.com/maps/api/js?v=3.exp&libraries=geometry,drawing,places&key=AIzaSyA28KsfUooJBCwkwR-rBPu5uMwQ2g9U3LM"
    defaultCenter={center}
    defaultZoom={defaultZoom}
    loadingElement={
      <div className="w-100 h-100 flex items-center justify-center">
        Loading...
      </div>
    }
    defaultOptions={{
      scrollwheel: false,
    }}
    containerElement={
      <div className="w-100 h-100" />
    }
    mapElement={
      <div className="w-100 h-100" />
    }
  >
    {markers && markers.map(marker => (
      <Marker {...marker} />
    ))}
  </AsyncMap>
)

SimpleMap.defaultProps = {
  defaultZoom: 12,
}

export default SimpleMap
