// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import { Element } from 'react-scroll'
import Section from 'components/Section'
import Icon from 'components/Icon'

const Benefit = ({ data, theme }: {
  data: any,
  theme: { [key: string]: string },
}) => {
  const { element, title, subtitle, items } = data
  const section = (
    <Section
      title={title}
      subtitle={subtitle}
      showHr
      theme={theme}
    >
      {items.map(item => (
        <div
          key={item.label}
          className={theme.itemWrapper}
        >
          <div className={theme.item}>
            <div className={theme.iconWrapper}>
              <Icon name={item.icon} className={theme.icon} />
            </div>
            <div className={theme.label}>{item.label}</div>
          </div>
        </div>
      ))}
    </Section>
  )

  if (!element) return section

  return (
    <Element name={element}>
      {section}
    </Element>
  )
}

export default themr('Benefit', {}, { composeTheme: 'softly' })(Benefit)
