// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'
import Form from 'components/Form'

const Hero = ({ data, theme }: {
  data: any,
  theme: { [key: string]: string },
}) => {
  const { title, video, subtitle, form } = data
  return (
    <div className={cn('relative flex flex-wrap', theme.root)}>
      <iframe
        className="absolute-l"
        width="100%"
        height="100%"
        src={video}
        frameBorder="0"
        allowFullScreen
      />
      <div className={cn('w-100 w-70-l flex items-center z-5', theme.sliderWrapper)}>
        <div className={theme.sliderContent}>
          <div className={theme.sliderTitle}>{title}</div>
          <div className={theme.sliderSubtitle}>{subtitle}</div>
        </div>
      </div>
      <div className={cn('w-100 w-30-l z-5', theme.formWrapper)}>
        <div className={theme.form}>
          <div className={theme.formHeader}>
            <div className={theme.formTitle}>{form.title}</div>
            <div className={theme.formSubitle}>{form.subtitle}</div>
          </div>
          <Form
            fields={form.fields}
            submitText="Gọi cho tôi"
          />
        </div>
      </div>
    </div>
  )
}

export default themr('HeroWithForm', {}, { composeTheme: 'softly' })(Hero)
