// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import { Element } from 'react-scroll'
import Section from 'components/Section'
import Gallery from 'components/Gallery'

const Progress = ({ data, theme }: {
  data: any,
  theme: { [key: string]: string },
}) => {
  const { element, title, subtitle, images } = data
  const section = (
    <Section
      className="w-100 bg-near-white"
      title={title}
      subtitle={subtitle}
      theme={theme}
    >
      <Gallery
        images={images}
        theme={{
          root: theme.galleryRoot,
          caption: theme.galleryCaption,
        }}
      />
    </Section>
  )

  if (!element) return section

  return (
    <Element name={element}>
      {section}
    </Element>
  )
}

export default themr('Progress', {}, { composeTheme: 'softly' })(Progress)
