'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Hero = require('../Hero');

var _Hero2 = _interopRequireDefault(_Hero);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  title: 'f3 f1-ns mw8 center lh-title fw9 tc',
  author: 'f5 f4-ns fw6 center',
  body: 'mw7 center mt3 mt4-ns pa3 pa3-ns'
};

var Article = function Article(_ref) {
  var post = _ref.post,
      theme = _ref.theme;
  var title = post.title,
      author = post.author,
      _post$overlayColor = post.overlayColor,
      overlayColor = _post$overlayColor === undefined ? 'rgba(0, 0, 0, 0)' : _post$overlayColor,
      image = post.image,
      smallImage = post.smallImage,
      body = post.body;


  var postTheme = post.theme || {};
  var overrideTheme = {
    root: (0, _classnames2.default)(theme.header, postTheme.header) || undefined,
    container: (0, _classnames2.default)(theme.headerContainer, postTheme.headerContainer) || undefined
  };

  return _react2.default.createElement(
    'article',
    { 'data-component': 'Article' },
    _react2.default.createElement(
      _Hero2.default,
      {
        title: title,
        subtitle: author,
        overlayColor: overlayColor,
        image: image,
        smallImage: smallImage,
        overrideTheme: overrideTheme
      },
      _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(theme.headerWrapper, postTheme.headerWrapper) },
        _react2.default.createElement(
          'h1',
          { className: (0, _classnames2.default)(theme.title, postTheme.title) },
          title
        ),
        _react2.default.createElement(
          'h2',
          { className: (0, _classnames2.default)(theme.subtitle, postTheme.subtitle) },
          author
        )
      )
    ),
    _react2.default.createElement('div', {
      className: (0, _classnames2.default)('markdown content', theme.body),
      dangerouslySetInnerHTML: { __html: body }
    })
  );
};

exports.default = (0, _reactCssThemr.themr)('Article', {}, { composeTheme: 'softly' })(Article);