'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _reactForm = require('react-form');

var _TextInput = require('../TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

var _SelectInput = require('../SelectInput');

var _SelectInput2 = _interopRequireDefault(_SelectInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {
  header: '',
  input: 'input-reset outline-0',
  submit: ''
};

var Form = function Form(_ref) {
  var fields = _ref.fields,
      submitText = _ref.submitText,
      validate = _ref.validate,
      onSubmit = _ref.onSubmit,
      _onValidationFail = _ref.onValidationFail,
      showErrors = _ref.showErrors,
      className = _ref.className,
      theme = _ref.theme;

  var inputTheme = {
    root: theme.inputWrapper,
    icon: theme.icon,
    label: theme.label,
    input: theme.input
  };
  return _react2.default.createElement(
    _reactForm.Form,
    {
      'data-component': 'Form',
      onSubmit: onSubmit,
      onValidationFail: function onValidationFail() {
        return _onValidationFail && _onValidationFail.apply(undefined, arguments);
      },
      validate: validate
    },
    function (_ref2) {
      var submitForm = _ref2.submitForm,
          getError = _ref2.getError;
      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(theme.root, className) },
        _react2.default.createElement(
          'form',
          {
            className: theme.form,
            onSubmit: submitForm
          },
          _react2.default.createElement(
            'div',
            { className: theme.body },
            fields.map(function (_ref3) {
              var type = _ref3.type,
                  value = _objectWithoutProperties(_ref3, ['type']);

              if (type === 'select') {
                return _react2.default.createElement(_SelectInput2.default, _extends({
                  key: value.field
                }, value, {
                  theme: inputTheme
                }));
              }
              return _react2.default.createElement(_TextInput2.default, _extends({
                key: value.field,
                type: type
              }, value, {
                theme: inputTheme
              }));
            })
          ),
          _react2.default.createElement(
            'div',
            { className: theme.submitWrapper },
            _react2.default.createElement(
              'button',
              { className: theme.submit, type: 'submit' },
              submitText
            )
          )
        ),
        showErrors && _react2.default.createElement(
          'div',
          { className: theme.errorWrapper },
          fields.map(function (_ref4) {
            var field = _ref4.field;
            return _react2.default.createElement(
              'div',
              {
                key: field,
                className: theme.error
              },
              getError(field)
            );
          })
        )
      );
    }
  );
};

Form.defaultProps = {
  className: null,
  showErrors: false,
  submitText: 'Submit',
  onValidationFail: null
};

exports.default = (0, _reactCssThemr.themr)('Form', {}, { composeTheme: 'softly' })(Form);