'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Carousel = require('../Carousel');

var _Carousel2 = _interopRequireDefault(_Carousel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ImageCarousel = function ImageCarousel(_ref) {
  var theme = _ref.theme,
      items = _ref.items,
      _renderItem = _ref.renderItem,
      _ref$imageField = _ref.imageField,
      imageField = _ref$imageField === undefined ? 'image' : _ref$imageField,
      props = _objectWithoutProperties(_ref, ['theme', 'items', 'renderItem', 'imageField']);

  return _react2.default.createElement(_Carousel2.default, _extends({
    theme: theme,
    items: items
  }, props, {
    renderItem: function renderItem(item) {
      return _react2.default.createElement(
        'div',
        {
          className: (0, _classnames2.default)('relative cover', theme.slideWrapper),
          style: {
            backgroundImage: 'url(' + item[imageField] + ')'
          }
        },
        _react2.default.createElement(
          'div',
          {
            key: item[imageField],
            className: (0, _classnames2.default)('absolute absolute--fill', theme.slideContent)
          },
          _renderItem(item)
        )
      );
    }
  }));
};

ImageCarousel.defaultProps = {
  imageField: 'image'
};

exports.default = ImageCarousel;