'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _LanguageSelector = require('../LanguageSelector');

var _LanguageSelector2 = _interopRequireDefault(_LanguageSelector);

var _Logo = require('../Logo');

var _Logo2 = _interopRequireDefault(_Logo);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: 'roboto-condensed',
  item: 'pl3 f4 black-70 hover-black-90'
};

var Navigation = function Navigation(_ref) {
  var logo = _ref.logo,
      items = _ref.items,
      language = _ref.language,
      _ref$languages = _ref.languages,
      languages = _ref$languages === undefined ? [] : _ref$languages,
      rightNav = _ref.rightNav,
      className = _ref.className,
      theme = _ref.theme,
      show = _ref.show,
      isShow = _ref.isShow,
      isSticky = _ref.isSticky;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Navigation',
      className: (0, _classnames2.default)(className, theme.root)
    },
    _react2.default.createElement(
      'div',
      { className: 'dn db-l flex-l items-center justify-between' },
      _react2.default.createElement(
        _Link2.default,
        { className: 'flex-none', to: '/' },
        _react2.default.createElement(
          _Logo2.default,
          null,
          logo
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'flex-l items-center justify-between' },
        items.map(function (item) {
          return _react2.default.createElement(
            _Link2.default,
            _extends({
              key: item.to,
              className: isSticky ? (0, _classnames2.default)(theme.stickyItem || theme.item, theme.stickyLink || theme.link) : (0, _classnames2.default)(theme.item, theme.link)
            }, item),
            item.label
          );
        }),
        languages.length > 0 && _react2.default.createElement(
          'span',
          { className: isSticky ? theme.stickyItem : theme.item },
          '|'
        ),
        languages.length > 0 && _react2.default.createElement(_LanguageSelector2.default, {
          className: isSticky ? theme.stickyItem : theme.item,
          selected: language,
          items: languages,
          isSticky: isSticky
        })
      ),
      rightNav && _react2.default.createElement(
        'div',
        null,
        rightNav
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'dn-l flex items-center justify-between w-100' },
      _react2.default.createElement(_Icon2.default, {
        name: isShow ? 'fa-times' : 'fa-bars',
        className: theme.menuItem,
        onClick: function onClick() {
          return show(!isShow);
        }
      }),
      _react2.default.createElement(
        _Link2.default,
        { className: 'flex-none', to: '/' },
        _react2.default.createElement(
          _Logo2.default,
          null,
          logo
        )
      ),
      _react2.default.createElement(_Icon2.default, { name: 'fa-search', className: theme.menuItem })
    )
  );
};

Navigation.defaultProps = {
  className: undefined,
  logo: 'Your Logo',
  rightNav: undefined
};

exports.default = (0, _reactCssThemr.themr)('Navigation', {}, { composeTheme: 'softly' })(Navigation);