'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PricingTable = require('../PricingTable');

var _PricingTable2 = _interopRequireDefault(_PricingTable);

var _FAQ = require('../FAQ');

var _FAQ2 = _interopRequireDefault(_FAQ);

var _StandardList = require('../StandardList');

var _StandardList2 = _interopRequireDefault(_StandardList);

var _HorizontalList = require('../HorizontalList');

var _HorizontalList2 = _interopRequireDefault(_HorizontalList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MyFaq = function MyFaq(_ref) {
  var data = _ref.data,
      className = _ref.className,
      childrenTheme = _ref.childrenTheme;
  return _react2.default.createElement(_FAQ2.default, { items: data, className: className, theme: childrenTheme });
};

MyFaq.defaultProps = {
  className: null
};

function getComponent() {
  var type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'Standard';

  return {
    Standard: _StandardList2.default,
    Horizontal: _HorizontalList2.default,
    PricingTable: _PricingTable2.default,
    FAQ: MyFaq
  }[type];
}

var SectionData = function SectionData(_ref2) {
  var type = _ref2.type,
      data = _ref2.data,
      className = _ref2.className,
      itemClassName = _ref2.itemClassName,
      childrenTheme = _ref2.childrenTheme,
      Link = _ref2.Link;

  var Component = getComponent(type);
  return _react2.default.createElement(Component, {
    'data-component': 'SectionData',
    className: className,
    data: data,
    childrenTheme: childrenTheme,
    itemClassName: itemClassName,
    Link: Link
  });
};

SectionData.defaultProps = {
  type: 'Standard',
  className: undefined
};

exports.default = SectionData;