'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SectionWithData = require('../SectionWithData');

var _SectionWithData2 = _interopRequireDefault(_SectionWithData);

var _SplitSection = require('../SplitSection');

var _SplitSection2 = _interopRequireDefault(_SplitSection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Sections = function Sections(_ref) {
  var sections = _ref.sections,
      className = _ref.className,
      themes = _ref.themes,
      Link = _ref.Link;

  var keys = sections.map(function (x) {
    return x.id;
  });
  var sectionMap = sections.reduce(function (acc, value) {
    return _extends({}, acc, _defineProperty({}, value.id, value));
  }, {});
  var themeMap = themes.reduce(function (acc, value) {
    return _extends({}, acc, _defineProperty({}, value.id, value));
  }, {});

  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Sections',
      className: className
    },
    keys.map(function (key) {
      var themeId = sectionMap[key].themeId || key;
      var type = sectionMap[key].type;

      var _ref2 = themeMap[themeId] || {},
          _ref2$theme = _ref2.theme,
          theme = _ref2$theme === undefined ? {} : _ref2$theme,
          _ref2$childrenTheme = _ref2.childrenTheme,
          childrenTheme = _ref2$childrenTheme === undefined ? {} : _ref2$childrenTheme;

      if (type === 'split') {
        return _react2.default.createElement(_SplitSection2.default, {
          key: key,
          section: sectionMap[key],
          theme: theme,
          childrenTheme: childrenTheme,
          Link: Link
        });
      }
      return _react2.default.createElement(_SectionWithData2.default, {
        key: key,
        section: sectionMap[key],
        theme: theme,
        childrenTheme: childrenTheme,
        Link: Link
      });
    })
  );
};

Sections.defaultProps = {
  className: null
};

exports.default = Sections;