'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _Input = require('rebulma/lib/Input');

var _Input2 = _interopRequireDefault(_Input);

var _Button = require('rebulma/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyle = {
  root: '',
  title: 'title',
  subtitle: 'subtitle',
  leftWrapper: 'pa2 pa3-ns',
  rightWrapper: 'pa2 pa3-ns',
  imageUrl: '',
  imageCaption: 'tc'
};

var SideBySideHero = function SideBySideHero(_ref) {
  var className = _ref.className,
      title = _ref.title,
      subtitle = _ref.subtitle,
      subscribeText = _ref.subscribeText,
      imageUrl = _ref.imageUrl,
      imageCaption = _ref.imageCaption,
      theme = _ref.theme;
  return _react2.default.createElement(
    'section',
    { className: (0, _classnames2.default)('flex flex-wrap', className) },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('w-100 w-50-ns', theme.leftWrapper) },
      _react2.default.createElement(
        'h1',
        { className: theme.title },
        title
      ),
      _react2.default.createElement(
        'h2',
        { className: theme.subtitle },
        subtitle
      ),
      _react2.default.createElement(
        'div',
        { className: 'flex-wrap' },
        _react2.default.createElement(_Input2.default, {
          className: 'w-100 flex-auto',
          name: 'email',
          type: 'email',
          placeholder: 'Your work email'
        }),
        _react2.default.createElement(
          _Button2.default,
          { className: 'w-100 is-primary' },
          subscribeText
        )
      )
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('w-100 w-50-ns', theme.rightWrapper) },
      _react2.default.createElement('img', {
        src: imageUrl,
        alt: imageCaption,
        className: theme.image
      }),
      !!imageCaption && _react2.default.createElement(
        'div',
        { className: theme.imageCaption },
        imageCaption
      )
    )
  );
};

SideBySideHero.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('SideBySideHero', defaultStyle, { composeTheme: 'softly' })(SideBySideHero);