'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Tabs = function Tabs(_ref) {
  var items = _ref.items,
      selected = _ref.selected,
      select = _ref.select,
      className = _ref.className,
      renderItem = _ref.renderItem,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Tabs',
      className: (0, _classnames2.default)(theme.root, className)
    },
    _react2.default.createElement(
      'div',
      { className: theme.tabWrapper },
      items.map(function (_ref2, idx) {
        var title = _ref2.title;
        return _react2.default.createElement(
          'div',
          {
            key: title,
            className: (0, _classnames2.default)(theme.item, _defineProperty({}, theme.selected, selected === idx)),
            onClick: function onClick() {
              return select(idx);
            }
          },
          title
        );
      })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.body },
      renderItem && renderItem(items[selected]),
      !renderItem && _react2.default.createElement('img', { src: items[selected].image, alt: items[selected].title })
    )
  );
};

Tabs.defaultProps = {
  className: null,
  renderItem: undefined
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('Tabs', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('selected', 'select', 0))(Tabs);