'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Form = require('../Form');

var _Form2 = _interopRequireDefault(_Form);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Hero = function Hero(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var title = data.title,
      video = data.video,
      subtitle = data.subtitle,
      form = data.form;

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('relative flex flex-wrap', theme.root) },
    _react2.default.createElement('iframe', {
      className: 'absolute-l',
      width: '100%',
      height: '100%',
      src: video,
      frameBorder: '0',
      allowFullScreen: true
    }),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('w-100 w-70-l flex items-center z-5', theme.sliderWrapper) },
      _react2.default.createElement(
        'div',
        { className: theme.sliderContent },
        _react2.default.createElement(
          'div',
          { className: theme.sliderTitle },
          title
        ),
        _react2.default.createElement(
          'div',
          { className: theme.sliderSubtitle },
          subtitle
        )
      )
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('w-100 w-30-l z-5', theme.formWrapper) },
      _react2.default.createElement(
        'div',
        { className: theme.form },
        _react2.default.createElement(
          'div',
          { className: theme.formHeader },
          _react2.default.createElement(
            'div',
            { className: theme.formTitle },
            form.title
          ),
          _react2.default.createElement(
            'div',
            { className: theme.formSubitle },
            form.subtitle
          )
        ),
        _react2.default.createElement(_Form2.default, {
          fields: form.fields,
          submitText: 'G\u1ECDi cho t\xF4i'
        })
      )
    )
  );
};

exports.default = (0, _reactCssThemr.themr)('HeroWithForm', {}, { composeTheme: 'softly' })(Hero);