'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _reactMarkdown = require('react-markdown');

var _reactMarkdown2 = _interopRequireDefault(_reactMarkdown);

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _Tabs = require('../Tabs');

var _Tabs2 = _interopRequireDefault(_Tabs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Sample = function Sample(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      items = data.items;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      className: 'w-100',
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    _react2.default.createElement(_Tabs2.default, {
      items: items,
      theme: removeEmpty({
        tabWrapper: theme.tabWrapper,
        item: theme.tabItem,
        selected: theme.selectedTab,
        body: theme.tabBody
      }),
      renderItem: function renderItem(item) {
        return _react2.default.createElement(
          'div',
          { className: theme.tabBody },
          _react2.default.createElement(
            'div',
            { className: theme.tabImage },
            _react2.default.createElement('img', { src: item.image, alt: item.title })
          ),
          _react2.default.createElement(
            'div',
            { className: theme.tabText },
            _react2.default.createElement(_reactMarkdown2.default, { source: item.description })
          )
        );
      }
    })
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('Sample', {}, { composeTheme: 'softly' })(Sample);